// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		7D540EC2205201BA00B57EA9 /* logo.bmp in Resources */ = {isa = PBXBuildFile; fileRef = 7D540EC1205201BA00B57EA9 /* logo.bmp */; };
		95F13D8B246CDF700073331E /* libwoosim220.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 95F13D8A246CDF700073331E /* libwoosim220.a */; };
		C4617A1C1E090BB10027C060 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = C4617A1B1E090BB10027C060 /* AppDelegate.swift */; };
		C4617A231E090BB10027C060 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = C4617A221E090BB10027C060 /* Assets.xcassets */; };
		C4617A321E090FA50027C060 /* AccessoryDetectionTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = C4617A2D1E090FA50027C060 /* AccessoryDetectionTableViewController.swift */; };
		C4617A331E090FA50027C060 /* SerialCommunicationStoryboard.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = C4617A2E1E090FA50027C060 /* SerialCommunicationStoryboard.storyboard */; };
		C4617A341E090FA50027C060 /* SessionController.swift in Sources */ = {isa = PBXBuildFile; fileRef = C4617A2F1E090FA50027C060 /* SessionController.swift */; };
		C4617A351E090FA50027C060 /* ConfigurationTerminalViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = C4617A301E090FA50027C060 /* ConfigurationTerminalViewController.swift */; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		7DEAEECE214F93E8005D700B /* Embed Frameworks */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 12;
			dstPath = "";
			dstSubfolderSpec = 10;
			files = (
			);
			name = "Embed Frameworks";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		7D47F070204FD4A000A0B7BF /* Woosim.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = Woosim.entitlements; sourceTree = "<group>"; };
		7D540EC1205201BA00B57EA9 /* logo.bmp */ = {isa = PBXFileReference; lastKnownFileType = image.bmp; path = logo.bmp; sourceTree = "<group>"; };
		9593A58E2469248E00C381CE /* WoosimSwift-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "WoosimSwift-Bridging-Header.h"; sourceTree = "<group>"; };
		9593A58F24692C2B00C381CE /* WSArabicConverter.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = WSArabicConverter.h; sourceTree = "<group>"; };
		9593A59024692C2B00C381CE /* WSEncoder.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = WSEncoder.h; sourceTree = "<group>"; };
		9593A59124692C2B00C381CE /* WSDecryption.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = WSDecryption.h; sourceTree = "<group>"; };
		9593A59224692C2B00C381CE /* WSParser.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = WSParser.h; sourceTree = "<group>"; };
		95F13D8A246CDF700073331E /* libwoosim220.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; path = libwoosim220.a; sourceTree = "<group>"; };
		C4617A181E090BB10027C060 /* Woosim.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Woosim.app; sourceTree = BUILT_PRODUCTS_DIR; };
		C4617A1B1E090BB10027C060 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		C4617A221E090BB10027C060 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		C4617A271E090BB10027C060 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		C4617A2D1E090FA50027C060 /* AccessoryDetectionTableViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AccessoryDetectionTableViewController.swift; sourceTree = "<group>"; };
		C4617A2E1E090FA50027C060 /* SerialCommunicationStoryboard.storyboard */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.storyboard; path = SerialCommunicationStoryboard.storyboard; sourceTree = "<group>"; };
		C4617A2F1E090FA50027C060 /* SessionController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SessionController.swift; sourceTree = "<group>"; };
		C4617A301E090FA50027C060 /* ConfigurationTerminalViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ConfigurationTerminalViewController.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		C4617A151E090BB10027C060 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				95F13D8B246CDF700073331E /* libwoosim220.a in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		9593A59324692C3000C381CE /* Header */ = {
			isa = PBXGroup;
			children = (
				9593A58F24692C2B00C381CE /* WSArabicConverter.h */,
				9593A59124692C2B00C381CE /* WSDecryption.h */,
				9593A59024692C2B00C381CE /* WSEncoder.h */,
				9593A59224692C2B00C381CE /* WSParser.h */,
			);
			path = Header;
			sourceTree = "<group>";
		};
		C4617A0F1E090BB10027C060 = {
			isa = PBXGroup;
			children = (
				C4617A1A1E090BB10027C060 /* Woosim */,
				C4617A191E090BB10027C060 /* Products */,
				C4617A391E0912A70027C060 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		C4617A191E090BB10027C060 /* Products */ = {
			isa = PBXGroup;
			children = (
				C4617A181E090BB10027C060 /* Woosim.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		C4617A1A1E090BB10027C060 /* Woosim */ = {
			isa = PBXGroup;
			children = (
				9593A59324692C3000C381CE /* Header */,
				7D47F070204FD4A000A0B7BF /* Woosim.entitlements */,
				C4617A1B1E090BB10027C060 /* AppDelegate.swift */,
				C4617A2D1E090FA50027C060 /* AccessoryDetectionTableViewController.swift */,
				C4617A2E1E090FA50027C060 /* SerialCommunicationStoryboard.storyboard */,
				C4617A2F1E090FA50027C060 /* SessionController.swift */,
				C4617A301E090FA50027C060 /* ConfigurationTerminalViewController.swift */,
				C4617A221E090BB10027C060 /* Assets.xcassets */,
				C4617A271E090BB10027C060 /* Info.plist */,
				7D540EC1205201BA00B57EA9 /* logo.bmp */,
				9593A58E2469248E00C381CE /* WoosimSwift-Bridging-Header.h */,
			);
			path = Woosim;
			sourceTree = "<group>";
		};
		C4617A391E0912A70027C060 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				95F13D8A246CDF700073331E /* libwoosim220.a */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		C4617A171E090BB10027C060 /* Woosim */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = C4617A2A1E090BB10027C060 /* Build configuration list for PBXNativeTarget "Woosim" */;
			buildPhases = (
				C4617A141E090BB10027C060 /* Sources */,
				C4617A151E090BB10027C060 /* Frameworks */,
				C4617A161E090BB10027C060 /* Resources */,
				7DEAEECE214F93E8005D700B /* Embed Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Woosim;
			productName = EADemo;
			productReference = C4617A181E090BB10027C060 /* Woosim.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		C4617A101E090BB10027C060 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0820;
				LastUpgradeCheck = 1020;
				TargetAttributes = {
					C4617A171E090BB10027C060 = {
						CreatedOnToolsVersion = 8.2;
						LastSwiftMigration = 1020;
						SystemCapabilities = {
							com.apple.BackgroundModes = {
								enabled = 1;
							};
							com.apple.WAC = {
								enabled = 1;
							};
						};
					};
				};
			};
			buildConfigurationList = C4617A131E090BB10027C060 /* Build configuration list for PBXProject "Woosim" */;
			compatibilityVersion = "Xcode 10.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = C4617A0F1E090BB10027C060;
			productRefGroup = C4617A191E090BB10027C060 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				C4617A171E090BB10027C060 /* Woosim */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		C4617A161E090BB10027C060 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7D540EC2205201BA00B57EA9 /* logo.bmp in Resources */,
				C4617A231E090BB10027C060 /* Assets.xcassets in Resources */,
				C4617A331E090FA50027C060 /* SerialCommunicationStoryboard.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		C4617A141E090BB10027C060 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C4617A1C1E090BB10027C060 /* AppDelegate.swift in Sources */,
				C4617A351E090FA50027C060 /* ConfigurationTerminalViewController.swift in Sources */,
				C4617A341E090FA50027C060 /* SessionController.swift in Sources */,
				C4617A321E090FA50027C060 /* AccessoryDetectionTableViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		C4617A281E090BB10027C060 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Distribution: Eunjeong Lee (F8UZ887PQ2)";
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Distribution: Eunjeong Lee (F8UZ887PQ2)";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 8.0;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		C4617A291E090BB10027C060 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Distribution: Eunjeong Lee (F8UZ887PQ2)";
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Distribution: Eunjeong Lee (F8UZ887PQ2)";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 8.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				ONLY_ACTIVE_ARCH = NO;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				TARGETED_DEVICE_FAMILY = "1,2";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		C4617A2B1E090BB10027C060 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_ENTITLEMENTS = Woosim/Woosim.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = "";
				ENABLE_BITCODE = YES;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)",
					"$(PROJECT_DIR)/Woosim",
				);
				INFOPLIST_FILE = "$(SRCROOT)/Woosim/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				LIBRARY_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)",
				);
				ONLY_ACTIVE_ARCH = NO;
				OTHER_CFLAGS = "-fembed-bitcode";
				OTHER_LDFLAGS = "$(inherited)";
				PRODUCT_BUNDLE_IDENTIFIER = com.woosim.testapp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE = "388a8c18-db18-469f-9f89-86157c61efd9";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_OBJC_BRIDGING_HEADER = "Woosim/WoosimSwift-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				VALID_ARCHS = "i386 x86_64 arm64 armv7 armv7s";
			};
			name = Debug;
		};
		C4617A2C1E090BB10027C060 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_ENTITLEMENTS = Woosim/Woosim.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = "";
				ENABLE_BITCODE = YES;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)",
					"$(PROJECT_DIR)/Woosim",
				);
				INFOPLIST_FILE = "$(SRCROOT)/Woosim/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				LIBRARY_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)",
				);
				ONLY_ACTIVE_ARCH = NO;
				OTHER_CFLAGS = "-fembed-bitcode";
				OTHER_LDFLAGS = "$(inherited)";
				PRODUCT_BUNDLE_IDENTIFIER = com.woosim.testapp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE = "388a8c18-db18-469f-9f89-86157c61efd9";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_OBJC_BRIDGING_HEADER = "Woosim/WoosimSwift-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				VALID_ARCHS = "i386 x86_64 arm64 armv7 armv7s";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		C4617A131E090BB10027C060 /* Build configuration list for PBXProject "Woosim" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C4617A281E090BB10027C060 /* Debug */,
				C4617A291E090BB10027C060 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		C4617A2A1E090BB10027C060 /* Build configuration list for PBXNativeTarget "Woosim" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C4617A2B1E090BB10027C060 /* Debug */,
				C4617A2C1E090BB10027C060 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = C4617A101E090BB10027C060 /* Project object */;
}
